# Class Option

java.lang.Object
javax.swing.text.html.Option

All Implemented Interfaces:
  `Serializable`

public class Option extends Object implements Serializable
Value for the ListModel used to represent <option> elements. This is the object installed as items of the DefaultComboBoxModel used to represent the <select> element.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Option(AttributeSet attr)`
  Creates a new Option object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AttributeSet`
  `getAttributes()`
  Fetch the attributes associated with this option.
  `String`
  `getLabel()`
  Fetch the label associated with the option.
  `String`
  `getValue()`
  Convenient method to return the string associated with the `value` attribute.
  `boolean`
  `isSelected()`
  Fetches the selection state associated with this option.
  `void`
  `setLabel(String label)`
  Sets the label to be used for the option.
  `protected void`
  `setSelection(boolean state)`
  Sets the selected state.
  `String`
  `toString()`
  String representation is the label.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Option

    public Option(AttributeSet attr)
    Creates a new Option object.
    Parameters:
      `attr` - the attributes associated with the option element. The attributes are copied to ensure they won't change.

- ## Method Details

  - ### setLabel

    public void setLabel(String label)
    Sets the label to be used for the option.
    Parameters:
      `label` - a label.

  - ### getLabel

    public String getLabel()
    Fetch the label associated with the option.
    Returns:
      the label associated with the option.

  - ### getAttributes

    public AttributeSet getAttributes()
    Fetch the attributes associated with this option.
    Returns:
      the attributes associated with this option.

  - ### toString

    public String toString()
    String representation is the label.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the object

  - ### setSelection

    protected void setSelection(boolean state)
    Sets the selected state.
    Parameters:
      `state` - a selection state

  - ### isSelected

    public boolean isSelected()
    Fetches the selection state associated with this option.
    Returns:
      the selection state.

  - ### getValue

    public String getValue()
    Convenient method to return the string associated with the `value` attribute. If the `value` has not been specified, the `label` will be returned.
    Returns:
      the string associated with the `value` attribute, or `label` if the value has been not specified.